petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMNetworkSetSizes

Sets the number of subnetworks, local and global vertices and edges for each subnetwork.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSetSizes(DM dm,PetscInt Nsubnet,PetscInt NsubnetCouple,PetscInt nV[], PetscInt nE[], PetscInt NV[], PetscInt NE[])

Collective on DM

### Input Parameters

| dm | - the dm object
| Nsubnet | - number of subnetworks
| NsubnetCouple | - number of coupling subnetworks
| nV | - number of local vertices for each subnetwork and coupling subnetwork
| nE | - number of local edges for each subnetwork and coupling subnetwork
| NV | - number of global vertices (or PETSC_DETERMINE) for each subnetwork and coupling subnetwork
| NE | - number of global edges (or PETSC_DETERMINE) for each subnetwork and coupling subnetwork

Notes If one processor calls this with NV (NE) of PETSC_DECIDE then all processors must, otherwise the prgram will hang.

You cannot change the sizes once they have been set. nV, nE, NV and NE are arrays of length Nsubnet+NsubnetCouple.

### See Also

DMNetworkCreate()

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages